#### get_associated_executor (3 of 3 overloads)

Helper function to obtain an object's associated executor.

    template<
        typename T,
        typename ExecutionContext>
    associated_executor< T, typename ExecutionContext::executor_type >::type get_associated_executor(
        const T & t,
        ExecutionContext & ctx,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

###### Return Value

`associated_executor<T, typename ExecutionContext::executor_type>get(t, ctx.get_executor())`